Permalink
Browse files

Enforce Prettier for @Format

Reviewed By: zertosh

Differential Revision: D5392376

fbshipit-source-id: 6f09a4d8f4542c3a74aadb8d62fd216529a4f2bc
  • Loading branch information...
TheSavior authored and facebook-github-bot committed Jul 10, 2017
1 parent d7f6711 commit 10230707cb362840e4b203c55f4f265412fc76df
Showing with 15 additions and 4 deletions.
  1. +6 −1 .eslintrc
  2. +7 −3 Libraries/Lists/__flowtests__/FlatList-flowtest.js
  3. +2 −0 package.json
View
@@ -1,6 +1,6 @@
{
"root": true,
"parser": "babel-eslint",
"ecmaFeatures": {
@@ -14,6 +14,7 @@
"plugins": [
"flowtype",
"prettier",
"react"
],
@@ -163,6 +164,10 @@
"no-restricted-modules": 1, // restrict usage of specified node modules (off by default)
"no-sync": 0, // disallow use of synchronous methods (off by default)
// Prettier Plugin
// https://github.com/prettier/eslint-plugin-prettier
"prettier/prettier": [2, "fb", "@format"],
// Stylistic Issues
// These rules are purely matters of style and are quite subjective.
@@ -60,9 +60,13 @@ module.exports = {
];
return (
<FlatList
renderItem={(
info, // $FlowExpectedError - bad widgetCount type 6, should be Object
) => <span>{info.item.widget.missingProp}</span>}
renderItem={info =>
<span>
{
// $FlowExpectedError - bad widgetCount type 6, should be Object
info.item.widget.missingProp
}
</span>}
data={data}
/>
);
View
@@ -225,12 +225,14 @@
"eslint-config-fbjs": "^1.1.1",
"eslint-plugin-babel": "^4.1.1",
"eslint-plugin-flowtype": "^2.33.0",
"eslint-plugin-prettier": "2.1.1",
"eslint-plugin-react": "^7.0.1",
"flow-bin": "^0.49.1",
"jest": "20.1.0-alpha.3",
"jest-repl": "20.1.0-alpha.3",
"jest-runtime": "20.1.0-alpha.3",
"mock-fs": "^4.4.1",
"prettier": "1.5.2",
"react": "16.0.0-alpha.12",
"react-test-renderer": "16.0.0-alpha.12",
"shelljs": "0.6.0",

0 comments on commit 1023070

Please sign in to comment.